#include <stdio.h>
void printhelp() {
    printf("Sigma, version 2.0-BETA: simple greedy multiple alignment\n");
    printf("Copyright (C) 2006-2010 Rahul Siddharthan <rsidd@imsc.res.in>\n");
    printf("                        and Gayathri Jayaraman\n");
    printf("Licensed under the GNU General Public License, version 2\n");
    printf("\n");
    printf("Usage: sigma [options] inputfile.fasta [inputfile2.fasta ...]\n");
    printf("\n");
    printf("Each fasta file may contain a single sequence or multiple sequences;\n");
    printf("all sequences will be aligned together.\n");
    printf("\n");
    printf("Options:\n");
    printf("  -A, --aligned_output \n");
    printf("     (aligned output; this is the default.  Compare the -F option.\n");
    printf("      -A and -F may both be specified, in either order.)\n");
    printf("  -B, --bgprobfile filename \n");
    printf("     (name of file containing background probabilities; each line\n");
    printf("      should contain either a single nucleotide or a dinucleotide\n");
    printf("      followed by a space and a count.  Counts will automatically be\n");
    printf("      normalised.  Trinucleotides and higher will be ignored. An\n");
    printf("      example is in the Examples/ directory in the source distribution)\n");
    printf("  -b, --bgseqfile filename\n");
    printf("     (name of auxiliary file from which to read background sequences; \n");
    printf("      overridden by -B)\n");
    printf("  -C, --caps_only\n");
    printf("     (output sequence in uppercase only, as in output of some other\n");
    printf("      programs like ClustalW and MLagan.  Default is mixed-case,\n");
    printf("      where uppercase indicates aligned sequence, as in Dialign.)\n");
    printf("  -F, --fasta_output \n");
    printf("     (multi-fasta output; compare -A option.  Default is mixed-case;\n");
    printf("      for upper-case only, specify -C)\n");
    printf("  -G, --flattree distance\n");
    printf("     Use a simplified evolutionary model where all sequences are\n");
    printf("     descended independently from a single common ancestor, with \n");
    printf("     the same proximity (conservation rate or non-mutation rate) \n");
    printf("     specified in the argument.  (Specifying arbitrary trees on the\n");
    printf("     commandline is planned for future versions.) (new in version 2.0)\n");
    printf("  -n, --ncorrel \n");
    printf("     (background correlation order; 2=dinucleotide is the default,\n");
    printf("     1=single-site basecounts, 0=0.25 per base.  Higher than 2 not\n");
    printf("     implemented at present.)\n");
    printf("  -r, --revcomp\n");
    printf("     Consider also the reverse-complements of all input sequences\n");
    printf("     (new in version 2.0)\n");
    printf("  -s, --startree\n");
    printf("     Use a simplified evolutionary model where all sequences are\n");
    printf("     descended independently from a single common ancestor, that is,\n");
    printf("     the evolutionary tree has no internal nodes.  While less realistic\n");
    printf("     this is significantly faster when there are a large number of\n");
    printf("     sequences, and is recommended whenever more than 15 sequences are\n");
    printf("     being aligned. (new in version 2.0)\n");
    printf("  -t, --transitionfile\n");
    printf("     file containing transition probabilities in evolutionary model.\n");
    printf("     An example is in the Examples/ directory in the source \n");
    printf("     distribution.  (new in version 2.0)\n");
    printf("  -x, --significance \n");
    printf("     (set limit for how probable the match is by chance: the default \n");
    printf("      is 0.002, smaller=more stringent)\n");
    printf("  -h, --help\n");
    printf("     (display this help summary)\n");
}
