/* Sigma - Simple greedy multiple alignment */
/* Copyright (C) 2007 Rahul Siddharthan     */
/* Licensed under the GNU GPL, version 2    */
/* See file COPYING in source distribution  */

#include <glib.h>
#include <gsl/gsl_sf_log.h>
#include <gsl/gsl_sf_erf.h>

//#define DEBUG_PRINT_ONE
//#define DEBUG_PRINT_TWO

typedef struct 
{
    GPtrArray *filenamelist;
    char outtype[255];
    char auxfilename[255];
    char bgfilename[255];
    char transfilename[255];
    int correlbg;
    double pmatch;
    int nseqs;
    double singlesite[4];
    double dinucleotide_l[16], dinucleotide_r[16];
    double transitionmat[16], invtransitionmat[16];
    int printhelp;
    int caps_only;
    GPtrArray *seqfraglist;
    GPtrArray *seqheadlist;
    GArray *keepseqs;
    GArray *ignoreseqs;
    GArray *seqdirlist;
    GNode *pTree;
    int usetransitions;
    int revcomp;
    int printtree;
    int startree;
    double flattree;
} params;

typedef struct _seq_frag seq_frag;

struct _seq_frag 
{
    int seqlen;
    int nseqs;
    int swept;
    int *seqindex;
    char **seq;
    double **transprob;
    char **seqlabel;
    seq_frag **neighbours_l, **neighbours_r;
    char **limits_l, **limits_r;
	double *likelihood;
};

struct swmatrix /* allocated once and then retained, to save cycles */
{
    double *fmat,*pmat;
    int *lmat;
    int m,n; /* dimensions of matrix */
} swmat;

typedef struct 
{
    seq_frag *frag1, *frag2;
    int n1, n2, l;
    double p;
} match;

