
typedef struct 
{
	fastaseq *seq;
	int numofseqs; //number of seq in the cluster
	double depth; //depth from the root
	int index ; //index of the sequence in the tree
    int dir; // orientation of tree, if trying reverse seqs also
    double transmat[16]; // transition probabilities
                         // from previous ancestor to this one
    GArray *leaves;
} treest;

void *merger_nodes(GNode*, GNode*, GNode*);
gboolean  printNode(GNode*, void *Data);
gboolean  printNewick(GNode*, void *Data);
GNode* get_nth_node(params *, int);
void create_phylo_tree(params *v, GPtrArray *seq, double **distance);
void create_star_phylo_tree(params *v, GPtrArray *seq, double **distance);
void createTree(params *v, GPtrArray *seq, double **distance);
void createStarTree(params *v, GPtrArray *seq, double depth);
void initTree(params *, GPtrArray *seq, double ** dist);
void findmindist(double*, int *mini, int *minj);
void printdist(int range, double **distance);
void printTree(GNode *);
void treePrint(FILE*, GNode*);
void printTreeNewick( FILE*, GNode *);
void findLeafDist(GNode * gN, GNode * GN, double *dist, int*, int*);
void getSubTreeRtn(params *, GNode*, GNode**, int* , int, GNode**,int*, int* );
void getSubTree(params *,GNode **pSubTreeParent, int *seqIndex, int numSeqs, GNode **pClosestAnc);
void getClosestAncestor(params*, GNode**, int*,int);
void getClosestAncestorRtn(GNode*, GNode**, int*,int, int*);

double getTreeProb(params *v, GNode *ptree, seq_frag *frag1,
                     seq_frag *frag2, int index1, int index2);
void fixdepths(GNode *tree);
